[arch-commits] Commit in udev/trunk (4 files)

Aaron Griffin aaron at archlinux.org
Wed Aug 27 22:23:09 EDT 2008


    Date: Wednesday, August 27, 2008 @ 22:23:09
  Author: aaron
Revision: 10359

Changes for a 119 -> 126 Upgrade
Remove old files floating around

Modified:
  udev/trunk/PKGBUILD
  udev/trunk/arch-udev-rules.patch
Deleted:
  udev/trunk/00-load-blacklist.rules
  udev/trunk/mod-blacklist.sh

-------------------------+
 00-load-blacklist.rules |    1 
 PKGBUILD                |   50 +++++++----------
 arch-udev-rules.patch   |  128 +++++++++++++++++-----------------------------
 mod-blacklist.sh        |   47 ----------------
 4 files changed, 70 insertions(+), 156 deletions(-)

Deleted: 00-load-blacklist.rules
===================================================================
--- 00-load-blacklist.rules	2008-08-27 16:05:22 UTC (rev 10358)
+++ 00-load-blacklist.rules	2008-08-28 02:23:09 UTC (rev 10359)
@@ -1 +0,0 @@
-IMPORT{program} = "/lib/udev/mod-blacklist.sh"

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-27 16:05:22 UTC (rev 10358)
+++ PKGBUILD	2008-08-28 02:23:09 UTC (rev 10359)
@@ -2,7 +2,7 @@
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 # Maintainer: Thomas Bächler <thomas at archlinux.org>
 pkgname=udev
-pkgver=119
+pkgver=126
 pkgrel=1
 pkgdesc="The userspace dev tools (udev)"
 arch=(i686 x86_64)
@@ -19,26 +19,22 @@
 replaces=('devfsd')
 options=(!makeflags)
 source=(http://www.kernel.org/pub/linux/utils/kernel/hotplug/$pkgname-$pkgver.tar.bz2
-        migrate-udev start_udev 51-arch.rules load-modules.sh 
-        cdrom-rules.patch cdsymlinks.sh root-link.sh readme-udev-arch.txt arch-udev-rules.patch)
-md5sums=('dd299c16371c9e14e52d79744bccf4c0'
-         '49434a593918c822077bc3af765f1aff'
-         'a68a519d1ed8cbbd2f45c23eb32ea218'
-         '082e76ef9053495a5cade321817467cd'
-         '945f6d30ab458189b3c17f8e6722da1f'
-         '5de33ba31ce52ab4da47fe3ddd3c19ea'
-         '8424b78e9dd772e75b4ef90814807815'
-         '2d6dc6842464f107bccc68cd505a6c31'
-         '780db5316a762dc5cdcf52027ab8a8eb'
-         'fab7fa68aa35f0595c0b2bd88c4dbfd9')
+        migrate-udev
+        start_udev
+        51-arch.rules
+        load-modules.sh
+        #cdrom-rules.patch
+        cdsymlinks.sh
+        root-link.sh
+        readme-udev-arch.txt
+        arch-udev-rules.patch)
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
+  ./configure --prefix=/ --mandir=/usr/share/man --includedir=/usr/include
   make || return 1
-  make INSTALL=/bin/install DESTDIR=$startdir/pkg install \
-    EXTRAS="extras/ata_id extras/cdrom_id extras/edd_id extras/firmware extras/floppy extras/scsi_id extras/usb_id extras/volume_id extras/path_id extras/rule_generator"
+  make DESTDIR=$startdir/pkg install
 
-  install -D -m755 extras/path_id/path_id $startdir/pkg/sbin/path_id
   install -D -m755 $startdir/src/start_udev $startdir/pkg/etc/start_udev
   install -D -m755 $startdir/src/migrate-udev $startdir/pkg/sbin/migrate-udev
   install -D -m644 $startdir/src/51-arch.rules $startdir/pkg/etc/udev/rules.d/51-arch.rules
@@ -55,25 +51,21 @@
   # disable error loggin to prevent startup failures printed to vc on boot
   sed -i -e 's|udev_log="err"|udev_log="0"|g' $startdir/pkg/etc/udev/udev.conf
   # install additional rules files
-  install -D -m 644 $startdir/src/$pkgname-$pkgver/etc/udev/packages/40-pilot-links.rules $startdir/pkg/etc/udev/rules.d/
-  install -D -m 644 $startdir/src/$pkgname-$pkgver/etc/udev/packages/64-device-mapper.rules $startdir/pkg/etc/udev/rules.d/
-  install -D -m 644 $startdir/src/$pkgname-$pkgver/etc/udev/packages/64-md-raid.rules $startdir/pkg/etc/udev/rules.d/
+  for rule in $startdir/src/$pkgname-$pkgver/rules/packages/*; do
+      install -D -m 644 $rule $startdir/pkg/lib/udev/rules.d/
+  done
   # fix 60-cdrom_id.rules
-  cd $startdir/pkg/etc/udev/rules.d/
-  patch -Np0 -i $startdir/src/cdrom-rules.patch || return 1
+  cd $startdir/pkg/lib/udev/rules.d/
+  #patch -Np0 -i $startdir/src/cdrom-rules.patch || return 1
   # fix standard udev rules to fit to arch
   patch -Np0 -i $startdir/src/arch-udev-rules.patch || return 1
-  # fix program paths in rules files
-  for i in vol_id cdrom_id ata_id scsi_id path_id edd_id usb_id; do
-	sed -i -e "s#$i#/lib/udev/$i#g" $startdir/pkg/etc/udev/rules.d/*
-  done
   # fix modprobe rules to use the load-modules.sh
   sed -i -e "s#/sbin/modprobe#/lib/udev/load-modules.sh#g" $startdir/pkg/etc/udev/rules.d/*
   # disable persistent cdromsymlinks and network by default
-  mv $startdir/pkg/etc/udev/rules.d/75-persistent-net-generator.rules \
-     $startdir/pkg/etc/udev/rules.d/75-persistent-net-generator.rules.optional
-  mv $startdir/pkg/etc/udev/rules.d/75-cd-aliases-generator.rules \
-     $startdir/pkg/etc/udev/rules.d/75-cd-aliases-generator.rules.optional
+  mv $startdir/pkg/lib/udev/rules.d/75-persistent-net-generator.rules \
+     $startdir/pkg/lib/udev/rules.d/75-persistent-net-generator.rules.optional
+  mv $startdir/pkg/lib/udev/rules.d/75-cd-aliases-generator.rules \
+     $startdir/pkg/lib/udev/rules.d/75-cd-aliases-generator.rules.optional
   # create framebuffer blacklist
   mkdir -p $startdir/pkg/etc/modprobe.d/
   for mod in $(find /lib/modules/ -name '*fb*.ko' -exec basename {} .ko \;); do 

Modified: arch-udev-rules.patch
===================================================================
--- arch-udev-rules.patch	2008-08-27 16:05:22 UTC (rev 10358)
+++ arch-udev-rules.patch	2008-08-28 02:23:09 UTC (rev 10359)
@@ -1,17 +1,39 @@
---- 50-udev-default.rules.old	2008-03-09 17:52:59.000000000 +0100
-+++ 50-udev-default.rules	2008-03-09 17:09:50.000000000 +0100
+--- 60-persistent-storage.rules	2008-07-31 02:40:37.000000000 -0500
++++ 60-persistent-storage.rules.arch	2008-08-27 21:09:29.000000000 -0500
+@@ -10,7 +10,7 @@
+ SUBSYSTEM!="block", GOTO="persistent_storage_end"
+ 
+ # skip rules for inappropriate block devices
+-KERNEL=="ram*|loop*|fd*|nbd*|gnbd*|dm-*|md*", GOTO="persistent_storage_end"
++KERNEL=="ram*|loop*|fd*|nbd*|gnbd*|md*", GOTO="persistent_storage_end"
+ 
+ # never access non-cdrom removable ide devices, the drivers are causing event loops on open()
+ KERNEL=="hd*[!0-9]", ATTR{removable}=="1", DRIVERS=="ide-cs|ide-floppy", GOTO="persistent_storage_end"
+--- 80-drivers.rules	2008-07-24 09:55:12.000000000 -0500
++++ 80-drivers.rules.arch	2008-08-27 21:10:32.000000000 -0500
+@@ -4,7 +4,7 @@
+ 
+ DRIVER!="?*", ENV{MODALIAS}=="?*", RUN{ignore_error}+="/sbin/modprobe $env{MODALIAS}"
+ SUBSYSTEM=="pnp", DRIVER!="?*", ENV{MODALIAS}!="?*", \
+-  RUN{ignore_error}+="/bin/sh -c '/sbin/modprobe -a $$(while read id; do echo pnp:d$$id; done < /sys$devpath/id)'"
++   RUN{ignore_error}+="/bin/sh -c 'while read id; do /lib/udev/load-modules.sh pnp:d$$id; /lib/udev/load-modules.sh pnp:c$$id ; done < /sys$devpath/id'"
+ SUBSYSTEM=="tifm", RUN+="/sbin/modprobe --all tifm_sd tifm_ms"
+ SUBSYSTEM=="memstick", RUN+="/sbin/modprobe --all ms_block mspro_block"
+ SUBSYSTEM=="mmc", RUN+="/sbin/modprobe mmc_block"
+--- 50-udev-default.rules	2008-07-30 06:20:21.000000000 -0500
++++ 50-udev-default.rules.arch	2008-08-27 21:11:30.000000000 -0500
 @@ -4,12 +4,17 @@
- KERNEL=="tty[pqrstuvwxyzabcdef][0123456789abcdef]", GROUP="tty", MODE="0660", OPTIONS="last_rule"
- KERNEL=="ptmx",			GROUP="tty", MODE="0666", OPTIONS="last_rule"
- KERNEL=="tty",			GROUP="tty", MODE="0666", OPTIONS="last_rule"
--KERNEL=="tty[0-9]*",		GROUP="tty", MODE="0620", OPTIONS="last_rule"
--KERNEL=="vcs|vcs[0-9]*|vcsa|vcsa[0-9]*", GROUP="tty", OPTIONS="last_rule"
-+KERNEL=="tty[0-9]*",		GROUP="tty", MODE="0620", NAME="vc/%n", SYMLINK+="%k" OPTIONS="last_rule"
-+KERNEL=="vcs",        GROUP="tty", NAME="vcc/0", OPTIONS="last_rule"
-+KERNEL=="vcs[0-9]*",  GROUP="tty", NAME="vcc/%n", OPTIONS="last_rule"
-+KERNEL=="vcsa",       GROUP="tty", NAME="vcc/a0", OPTIONS="last_rule"
-+KERNEL=="vcsa[0-9]*", GROUP="tty", NAME="vcc/a%n", OPTIONS="last_rule"
- KERNEL=="console",		MODE="0600", OPTIONS="last_rule"
+ KERNEL=="tty[pqrstuvwxyzabcdef][0123456789abcdef]", GROUP="tty", MODE="0660", OPTIONS+="last_rule"
+ KERNEL=="ptmx",			GROUP="tty", MODE="0666", OPTIONS+="last_rule"
+ KERNEL=="tty",			GROUP="tty", MODE="0666", OPTIONS+="last_rule"
+-KERNEL=="tty[0-9]*",		GROUP="tty", MODE="0620", OPTIONS+="last_rule"
+-KERNEL=="vcs|vcs[0-9]*|vcsa|vcsa[0-9]*", GROUP="tty", OPTIONS+="last_rule"
++KERNEL=="tty[0-9]*",		GROUP="tty", MODE="0620", NAME="vc/%n", SYMLINK+="%k" OPTIONS+="last_rule"
++KERNEL=="vcs",        GROUP="tty", NAME="vcc/0", OPTIONS+="last_rule"
++KERNEL=="vcs[0-9]*",  GROUP="tty", NAME="vcc/%n", OPTIONS+="last_rule"
++KERNEL=="vcsa",       GROUP="tty", NAME="vcc/a0", OPTIONS+="last_rule"
++KERNEL=="vcsa[0-9]*", GROUP="tty", NAME="vcc/a%n", OPTIONS+="last_rule"
+ KERNEL=="console",		MODE="0600", OPTIONS+="last_rule"
  
  # serial
  KERNEL=="tty[A-Z]*|pppox*|ircomm*|noz*", GROUP="uucp"
@@ -20,17 +42,15 @@
  KERNEL=="ppp",			MODE="0600", OPTIONS+="ignore_remove"
  KERNEL=="mwave",		NAME="modems/mwave", GROUP="uucp"
  KERNEL=="hvc*|hvsi*",		GROUP="uucp"
-@@ -20,8 +25,7 @@
- KERNEL=="null|zero|full|random|urandom", MODE="0666"
- KERNEL=="null",			SYMLINK+="XOR"
+@@ -21,6 +26,7 @@
  KERNEL=="mem|kmem|port",	GROUP="kmem", MODE="0640"
--KERNEL=="ram0",			SYMLINK+="ramdisk"
--KERNEL=="ram1",			SYMLINK+="ram"
+ KERNEL=="ram0",			SYMLINK+="ramdisk"
+ KERNEL=="ram1",			SYMLINK+="ram"
 +KERNEL=="ram[0-9]*", NAME="rd/%n", SYMLINK+="%k"
  
  # input
  KERNEL=="mouse*|mice|event*",	NAME="input/%k", MODE="0640"
-@@ -30,23 +34,30 @@
+@@ -29,20 +35,25 @@
  
  # video4linux
  KERNEL=="vbi0",			SYMLINK+="vbi"
@@ -45,11 +65,10 @@
  # graphics
 -KERNEL=="agpgart",		MODE="0600"
 -KERNEL=="card[0-9]*",		NAME="dri/%k", MODE="0666"
-+### xorg resets those permissions, adjust your xorg.conf!
+-KERNEL=="fb0",			SYMLINK+="fb"
 +KERNEL=="agpgart", NAME="misc/%k", SYMLINK+="%k", GROUP="video", MODE="0600"
 +KERNEL=="card[0-9]*",		NAME="dri/%k", GROUP="video", MODE="0666"
 +KERNEL=="fb[0-9]*", NAME="fb/%n", SYMLINK+="%k", GROUP="video"
- KERNEL=="fb0",			SYMLINK+="fb"
  
  # DVB video
 -SUBSYSTEM=="dvb", PROGRAM="/bin/sh -c 'K=%k; K=$${K#dvb}; printf dvb/adapter%%i/%%s $${K%%%%.*} $${K#*.}'", NAME="%c"
@@ -62,41 +81,28 @@
 +KERNEL=="video1394*",		NAME="video1394/%n", GROUP="video"
  
  # firmware class requests
--SUBSYSTEM=="firmware", ACTION=="add", RUN+="firmware.sh"
-+SUBSYSTEM=="firmware", ACTION=="add", ENV{FIRMWARE}=="?*", RUN+="firmware.sh"
- 
- # libusb device nodes
- SUBSYSTEM=="usb", ACTION=="add", ENV{DEVTYPE}=="usb_device", NAME="bus/usb/$env{BUSNUM}/$env{DEVNUM}", MODE="0644"
-@@ -59,23 +70,20 @@
- KERNEL=="irlpt[0-9]*",		GROUP="lp"
- 
- # block, tapes, block-releated
--SUBSYSTEM=="block", GROUP="disk", MODE="0640"
--SUBSYSTEM=="block", KERNEL=="sr[0-9]*", SYMLINK+="scd%n"
-+SUBSYSTEM=="block", GROUP="disk"
+ SUBSYSTEM=="firmware", ACTION=="add", RUN+="firmware.sh"
+@@ -62,7 +73,7 @@
+ SUBSYSTEM=="block", KERNEL=="sr[0-9]*", SYMLINK+="scd%n"
  SUBSYSTEM=="scsi", KERNEL=="[0-9]*:[0-9]*", ACTION=="add", ATTR{type}=="0|7|14", ATTR{timeout}="60"
  SUBSYSTEM=="scsi", KERNEL=="[0-9]*:[0-9]*", ACTION=="add", ATTR{type}=="1", ATTR{timeout}="900"
 -KERNEL=="hd*", SUBSYSTEMS=="ide", ATTRS{media}=="floppy", OPTIONS+="all_partitions"
--KERNEL=="fd[0-9]",		GROUP="floppy"
--KERNEL=="fd[0-9]", ACTION=="add", ATTRS{cmos}=="?*", RUN+="create_floppy_devices -c -t $attr{cmos} -m %M -M 0640 -G floppy $root/%k"
 +KERNEL=="hd*", SUBSYSTEMS=="ide", ATTRS{media}=="floppy", OPTIONS+="all_partitions", GROUP="floppy"
-+KERNEL=="fd[0-9]*", NAME="fd%n", SYMLINK+="floppy/%n fd%nu1440 fd%nu720 fd%nh1200 fd%nu360", GROUP="floppy"
+ KERNEL=="fd[0-9]",		GROUP="floppy"
+ KERNEL=="fd[0-9]", ACTION=="add", ATTRS{cmos}=="?*", RUN+="create_floppy_devices -c -t $attr{cmos} -m %M -M 0640 -G floppy $root/%k"
  KERNEL=="sch[0-9]*",		GROUP="disk"
--KERNEL=="sg[0-9]*",		ATTRS{type}!="3|6", GROUP="disk", MODE="0640"
- KERNEL=="ht[0-9]*|nht[0-9]*",	GROUP="disk"
- KERNEL=="pg[0-9]*",		GROUP="disk"
- KERNEL=="pt[0-9]*|npt[0-9]*",	GROUP="disk"
+@@ -73,8 +84,8 @@
  KERNEL=="qft[0-9]*|nqft[0-9]*|zqft[0-9]*|nzqft[0-9]*|rawqft[0-9]*|nrawqft[0-9]*", GROUP="disk"
  KERNEL=="rawctl",		NAME="raw/%k", GROUP="disk"
  SUBSYSTEM=="raw", KERNEL=="raw[0-9]*", NAME="raw/%k", GROUP="disk"
 -KERNEL=="pktcdvd[0-9]*",	NAME="pktcdvd/%k"
 -KERNEL=="pktcdvd",		NAME="pktcdvd/control"
-+KERNEL=="pktcdvd[0-9]*",	NAME="pktcdvd/%k",  GROUP="optical", MODE="0660"
++KERNEL=="pktcdvd[0-9]*",	NAME="pktcdvd/%k", GROUP="optical", MODE="0660"
 +KERNEL=="pktcdvd",		NAME="pktcdvd/control", GROUP="optical", MODE="0660"
  KERNEL=="qft0",			SYMLINK+="ftape"
  SUBSYSTEM=="bsg",		NAME="bsg/%k"
  SUBSYSTEM=="aoe",		NAME="etherd/%k", GROUP="disk"
-@@ -84,13 +92,13 @@
+@@ -83,13 +94,13 @@
  KERNEL=="tun",			NAME="net/%k", MODE="0666", OPTIONS+="ignore_remove"
  
  # CPU
@@ -109,43 +115,7 @@
  # miscellaneous
  KERNEL=="fuse",			MODE="0666"
 -KERNEL=="rtc|rtc0",		MODE="0644"
-+KERNEL=="rtc*",     NAME="misc/%k", SYMLINK+="%k", GROUP="audio", MODE="0664"
++KERNEL=="rtc|rtc0",     NAME="misc/%k", SYMLINK+="%k", GROUP="audio", MODE="0664"
  KERNEL=="rtc0",			SYMLINK+="rtc"
  KERNEL=="auer[0-9]*",		NAME="usb/%k"
  KERNEL=="hw_random",		NAME="hwrng", SYMLINK+="%k"
---- 60-persistent-storage.rules.old	2008-03-09 17:52:59.000000000 +0100
-+++ 60-persistent-storage.rules	2008-03-09 15:05:13.000000000 +0100
-@@ -3,11 +3,13 @@
- # persistent storage links: /dev/disk/{by-id,by-uuid,by-label,by-path}
- # scheme based on "Linux persistent device names", 2004, Hannes Reinecke <hare at suse.de>
- 
--ACTION!="add|change", GOTO="persistent_storage_end"
-+# needed like this!!!
-+ACTION!="add|change", GOTO="persistent_storage_end"
- SUBSYSTEM!="block", GOTO="persistent_storage_end"
- 
- # skip rules for inappropriate block devices
--KERNEL=="ram*|loop*|fd*|nbd*|gnbd*|dm-*|md*", GOTO="persistent_storage_end"
-+# don't add dm-*!!!
-+KERNEL=="ram*|loop*|fd*|nbd*|gnbd*|md*", GOTO="persistent_storage_end"
- 
- # never access non-cdrom removable ide devices, the drivers are causing event loops on open()
- KERNEL=="hd*[!0-9]", ATTR{removable}=="1", DRIVERS=="ide-cs|ide-floppy", GOTO="persistent_storage_end"
---- 80-drivers.rules~	2008-03-15 00:05:02.000000000 +0100
-+++ 80-drivers.rules	2008-03-21 21:44:28.000000000 +0100
-@@ -3,10 +3,11 @@
- ACTION!="add", GOTO="drivers_end"
- 
- DRIVER!="?*", ENV{MODALIAS}=="?*", RUN{ignore_error}+="/sbin/modprobe $env{MODALIAS}"
--SUBSYSTEM=="pnp", DRIVER!="?*", ENV{MODALIAS}!="?*", \
--  RUN{ignore_error}+="/bin/sh -c '/sbin/modprobe -a $$(while read id; do echo pnp:d$$id; done < /sys$devpath/id)'"
--SUBSYSTEM=="tifm", RUN+="/sbin/modprobe --all tifm_sd tifm_ms"
--SUBSYSTEM=="memstick", RUN+="/sbin/modprobe --all ms_block mspro_block"
-+SUBSYSTEM=="pnp", ENV{MODALIAS}!="?*", DRIVER!="?*", RUN{ignore_error}+="/bin/sh -c 'while read id; do /lib/udev/load-modules.sh pnp:d$$id; /lib/udev/load-modules.sh pnp:c$$id ; done < /sys$devpath/id'"
-+SUBSYSTEM=="tifm", RUN+="/sbin/modprobe tifm_sd"
-+SUBSYSTEM=="tifm", RUN+="/sbin/modprobe tifm_ms"
-+SUBSYSTEM=="memstick", RUN+="/sbin/modprobe ms_block"
-+SUBSYSTEM=="memstick", RUN+="/sbin/modprobe mspro_block"
- SUBSYSTEM=="mmc", RUN+="/sbin/modprobe mmc_block"
- SUBSYSTEM=="i2o", RUN+="/sbin/modprobe i2o_block"
- SUBSYSTEM=="ide", ATTR{media}=="tape", RUN+="/sbin/modprobe ide-scsi"

Deleted: mod-blacklist.sh
===================================================================
--- mod-blacklist.sh	2008-08-27 16:05:22 UTC (rev 10358)
+++ mod-blacklist.sh	2008-08-28 02:23:09 UTC (rev 10359)
@@ -1,47 +0,0 @@
-#! /bin/bash
-# Export a combined blacklist of all modules
-# for use by the load-modules script
-# 
-# NOTE: we only need bash because of rc.conf, but this
-# is a one-time use script, so we're good
-
-. /etc/rc.conf
-
-# grab modules from rc.conf
-BLACKLIST="${MOD_BLACKLIST[@]}"
-
-if [ -f /proc/cmdline ]; then 
-    for cmd in $(cat /proc/cmdline); do
-        case $cmd in
-            *=*) eval $cmd ;;
-        esac
-    done
-    #parse cmdline entries of the form "disablemodules=x,y,z"
-    if [ -n "$disablemodules" ]; then
-        BLACKLIST="$BLACKLIST $(echo $disablemodules | sed 's|,| |g')"
-    fi
-    if [ "$load_modules" == "off" ]; then
-        MOD_AUTOLOAD="no"
-    fi
-fi
-
-# blacklist framebuffer modules
-DRIVER_DIR="/lib/modules/$(uname -r)/kernel/drivers/"
-for x in $DRIVER_DIR/video/*/*fb*; do
-	BLACKLIST="$BLACKLIST $(basename $x .ko)"
-done
-for x in $DRIVER_DIR/video/*fb*; do
-	BLACKLIST="$BLACKLIST $(basename $x .ko)"
-done
-
-#MODULES entries in rc.conf that begin with ! are blacklisted
-for mod in ${MODULES[@]}; do
-    if [ "${mod}" != "${mod#!}" ]; then
-        BLACKLIST="$BLACKLIST ${mod#!}"
-    fi
-done
-
-echo "MOD_AUTOLOAD=\"$MOD_AUTOLOAD\""
-echo "BLACKLIST=\"$BLACKLIST\""
-
-# vim: set et ts=4:




More information about the arch-commits mailing list